# Generated from furnish-ssh-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name furnish-ssh

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Run SSH commands as a Furnish Provisioner
License: MIT
URL: https://github.com/chef-workflow/furnish-ssh
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(furnish-vagrant) >= 0.1.0
# BuildRequires: rubygem(furnish-vagrant) < 0.2
# BuildRequires: rubygem(furnish-ip) >= 0.1.0
# BuildRequires: rubygem(furnish-ip) < 0.2
# BuildRequires: rubygem(minitest)
# BuildRequires: rubygem(guard-minitest)
# BuildRequires: rubygem(guard-rake) >= 0.0.8
# BuildRequires: rubygem(guard-rake) < 0.1
# BuildRequires: rubygem(rb-fsevent)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Run SSH commands as a Furnish Provisioner.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/furnish-ssh.gemspec
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.1-1
- Initial package
